package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "元素目录移动实体")
public class AtuElementGroupMoveDto implements Serializable {
    /**
     * 目录ID<br>
     */
    @ApiModelProperty("目录ID")
    @Size(max = 32, message="目录ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 目标位置父节点id<br>
     */
    @ApiModelProperty("目标位置父节点id")
    @Size(max = 32, message="目标位置父节点id-targetId: 数据长度不能 > 32" )
    private String targetId;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 目标位置前一位的顺序号
     */
    @ApiModelProperty("目标位置前一位的顺序号")
    private Integer orderSeq;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(Integer orderSeq) {
        this.orderSeq = orderSeq;
    }
}
